@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700&display=swap');

:root {
    --main: #ff6e01;
    --bg: #f1e1d2;
    --black: #000;
    --white: #fff;
    --box-shadow: 0 .5rem 1rem rgba(0, 0, 0, 0.1);
}

* {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: .2s linear;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-padding: smooth;
    scroll-padding-top: 4rem;
}

html::-webkit-scrollbar {
    width: 1rem;
}

html::-webkit-scrollbar-track {
    background: transparent;
}

html::-webkit-scrollbar-thumb {
    background: green;
    border-radius: 5rem;
}

section {
    padding: 0rem 7%;
}

.heading {
    text-align: center;
    font-size: 4rem;
    color: var(--main);
    text-transform: uppercase;
    margin-bottom: 3rem;
    padding: 1.2rem 0;
}

.btn {
    font-size: 1.7rem;
    display: inline-block;
    background: green;
    color: var(--white);
    border-radius: 5rem;
    padding: 0.9rem 3rem;
    margin-top: 1rem;
    z-index: 0;
    position: relative;
    overflow: hidden;
}

.btn::before {
    content: '';
    position: absolute;
    top: 0;
    width: 0%;
    background: var(--main);
    z-index: -1;
    transition: .3s linear;
    left: 0;
}

/* header */

.header {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    background: rgba(36, 102, 9, 0.685);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2rem 9%;
}

header .logo {
    font-size: 2.5rem;
    font-weight: bolder;
    color: var(--white);
}

.header .logo i {
    color: var(--main);
}

.header .navbar a {
    font-size: 1.7rem;
    color: var(--white);
    margin: 0 2rem;
}

header .navbar a:hover {
    color: var(--main);
}

.header .icons div:hover {
    color: var(--main);
}

/* Login Form */

/* end */

.home {
    min-height: 100vh;
    display: flex;
    align-items: center;
    background-image: url(imagens/banner.jpg);
    background-size: cover;
    background-position: top;
}

.home .content {
    max-width: 90rem;
}

.home .content h3 {
    color: var(--bg);
    font-size: 4rem;
    line-height: 1.4;
    font-weight: 500;
}

.home .wave {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 12rem;
}

/* about */

.about .box-container {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 6rem;
}

.about .deco-title {
    font-size: 9rem;
    font-weight: 700;
    white-space: var(--black);
    color: transparent;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke: 1px rgb(0, 0, 0);
    transform-origin: top left;
    z-index: -1;
    top: 115%;
    left: 48%;
    position: -ms-page;
}

.about .box-container .image {
    flex: 12 12 50rem;
}

.about .box-container .image img {
    width: 70%;
}

.about .content {
    flex: 1 1 31rem;
}

.about .content .title {
    font-size: 4rem;
    color: var(--black);
}

.about .content p {
    font-size: 1.4rem;
    color: #444;
    padding: 1rem 0;
    line-height: 1;
}

.about .content .icons-container {
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
    margin-top: 3rem;
}

.about .content .icons-container .icons {
    flex: 1 1 16rem;
    text-align: center;
    background: var(--bg);
    padding: 3rem 2rem;
}

.about .content .icons-container .icons .fas {
    height: 5rem;
    font-size: 4rem;
    color: var(--main);
}

.about .content .icons-container .icons .h3 {
    padding: 1rem;
    font-size: 1.5rem;
    color: #444;
    font-weight: normal;
}

/* end */

/* galeir e slider ante do */

/* footer */

footer {
    background-color: rgb(6, 77, 6);
    color: #fff;
    padding: 10rem;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 10rem;
}

.footer-section {
    flex: 4;
    min-width: 202px;
}

.footer-section h2,
.footer-section h3 {
    color: #ff6f3c;
    margin-bottom: 1rem;
}

.footer-section p,
.footer-section a {
    color: #ddd;
    font-size: 1.4rem;
    margin-bottom: 0.5rem;
}

.footer-section a {
    text-decoration: none;
    color: #ff6f3c;
    display: block;
}

.footer-section input[type="email"] {
    padding: 0.5rem;
    border: none;
    border-radius: 5px;
    margin-top: 0.5rem;
    width: 80%;
}

.footer-section button {
    background-color: #ff6f3c;
    color: #fff;
    padding: 0.5rem 1rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 0.5rem;
}

.social-icons {
    display: flex;
    gap: 0.5rem;
    margin-top: 1rem;
}

.social-icons a img {
    width: 25px;
    height: 25px;
    filter: invert(1);
}

.footer-bottom {
    text-align: center;
    font-size: 2rem;
    color: #130c0c;
    margin-top: 1rem;
}
.carousel {
    position: relative;
    max-width: 100%;
    max-height: 100%;
    overflow: hidden;
}

.carousel-images {
    display: flex;
    transition: transform 0.5s ease;
    width: calc(10% * 5); /* Define a largura total com baseada no número de slides 5 slides 2 por vez 10 no total*/ 
}

.carousel img {
    width: 100%;
    height: auto;
    flex-shrink: 0;
}

.prev,
.next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: #fff;
    border: none;
    padding: 10px;
    cursor: pointer;
    font-size: 18px;
    transition: background-color 0.3s;
}

.prev {
    left: 10px;
}

.next {
    right: 10px;
}

.prev:hover,
.next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}
